
/*
 *  these definitions work for char:8, short:16, int:32, long:32,
 */

#ifndef LIMITS_H
#define LIMITS_H

#ifdef __GNUC__
#pragma once
#endif

#define CHAR_BIT 8
#define CHAR_MAX 127
#define CHAR_MIN (-128)
#define SCHAR_MAX 127
#define SCHAR_MIN (-128)
#define UCHAR_MAX 255
#define SHRT_MIN (-32768)
#define SHRT_MAX 32767
#define USHRT_MAX 65535
#define LONG_MAX 2147483647
#define LONG_MIN (-2147483648)
#define ULONG_MAX 4294967295

#define INT_MAX LONG_MAX
#define INT_MIN LONG_MIN
#define UINT_MAX ULONG_MAX

#endif /* LIMITS_H */
