
/*
 * WARNING:
 * This is a generic stdarg.h, it may not work for you!
 *
 * Works with most architectures where the stack grow downwards.
 * Known NOT to work with sparc, where the first 6 args are passed in registers.
 */

#ifndef STDARG_H
#define STDARG_H

#ifdef __GNUC__
#pragma once
#endif

#ifndef _VA_LIST
#define _VA_LIST
typedef char *va_list;
#endif

#define va_start(ap,parmn) (void)((ap) = (char*)(&(parmn) + 1))
#define va_end(ap) (void)((ap) = 0)
#define va_arg(ap, type) \
    (((type*)((ap) = ((ap) + sizeof(type))))[-1])

#endif /* STDARG_H */
